using Kivii;
using Kivii.DataAnnotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Njust.Pdf.Analysis.Entities
{
    [Alias(Configs.TableDisAuthor)]
    [Api(Description = "作者分布")]
    public class DisAuthor:EntityWithMetadata
    {
        [ApiMember(Description = "所属领域")]
        public string DomainName { get; set; }

        [ApiMember(Description = "语言")]
        public string Language { get; set; }

        [ApiMember(Description = "年份")]
        public string Year { get; set; }

        [ApiMember(Description = "作者")]
        public string Author { get; set; }

        [ApiMember(Description = "作者发文量")]
        public int Count { get; set; }
    }
}
